import { Switch, Route } from "wouter";
import HomePage from "../pages/HomePage";

const ManuallyDefinedRoutesTest = () => {
	return (
		<Switch>
			<Route path="/" component={HomePage}>
				<Route path="/users" nest>
					<Switch>
						<Route component={() => <>User HP</>} />
						<Route
							path="/users/:username"
							component={(username) => <>User: {username}</>}
						/>
					</Switch>
				</Route>
			</Route>
		</Switch>
	);
};

export default ManuallyDefinedRoutesTest;
